<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{goodsBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>دارایی</title>



    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend="دارایی" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="ثبت" style="margin-bottom:20px" >
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >
                        <p:outputLabel value="بارکد:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity.barcode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:selectOneMenu id="send" value="#{goodsBean.goodsEntity.unitName}" style="width:152px">
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{goodsBean.unitsName}"/>
                        </p:selectOneMenu>

                        <p:outputLabel value="نام:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity.name}" />

                        <p:outputLabel value="شماره:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity.number}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;" />


                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{goodsBean.insert}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>



                </p:fieldset>

                <p:fieldset legend="نمایش" style="margin-bottom:20px" >

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                                <p:inputText value="#{goodsBean.barcode1}" id="nameSearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton" value="جستجو"
                                                 actionListener="#{goodsBean.searchGood}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:panelGrid id="showMail" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="بارکد:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity2.barcode}" disabled="true"/>

                        <p:outputLabel value="نام:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity2.name}" disabled="true"/>

                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity2.unitName}" disabled="true"/>

                        <p:outputLabel value="شماره:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity2.number}" disabled="true"/>
                    </p:panelGrid>

                    <p:spacer height="5"/>

                </p:fieldset>

                <p:fieldset legend="ویرایش" style="margin-bottom:20px" >

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="editgood" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="بارکد:" style="margin-left: 5px;"/>
                                <p:inputText value="#{goodsBean.barcode2}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;" />


                                <p:commandButton id="searchButton2" value="جستجو"
                                                 actionListener="#{goodsBean.searchGoodForEdit}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:panelGrid id="editGood" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="بارکد:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity3.barcode}" disabled="true"/>

                        <p:outputLabel value="نام:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity3.name}" />

                        <p:outputLabel value="نام سازمان:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity3.unitName}" disabled="true"/>

                        <p:outputLabel value="شماره:"/>
                        <p:inputText  value="#{goodsBean.goodsEntity3.number}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;" />
                    </p:panelGrid>

                    <p:spacer height="5"/>
                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ویرایش" actionListener="#{goodsBean.edit}"
                                         update=":addForm">
                        </p:commandButton>
                        <p:commandButton value="حذف" actionListener="#{goodsBean.delete}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>
                </p:fieldset>

            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
